Skip to main content
PATCH
/
customers
/
{customer_id}
Update Customer
curl --request PATCH \
  --url https://api.atlas.co/functions/v1/customers/{customer_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]",
  "name": "<string>",
  "phone": "<string>",
  "description": "<string>",
  "billing_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>"
  },
  "shipping_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>"
  },
  "default_payment_method": "<string>",
  "tax_exempt": true,
  "metadata": {}
}
'
{
  "id": "<string>",
  "object": "customer",
  "email": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "description": "<string>",
  "billing_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>"
  },
  "shipping_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>"
  },
  "default_payment_method": "<string>",
  "tax_exempt": true,
  "tax_ids": [
    {
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "metadata": {},
  "created": 123
}

Authorizations

Authorization
string
header
required

API key (sk_test_* or sk_live_*)

Path Parameters

customer_id
string
required

Body

application/json
email
string<email>
name
string
phone
string
description
string
billing_address
object
shipping_address
object
default_payment_method
string
tax_exempt
boolean
metadata
object

Response

Customer updated

id
string
object
enum<string>
Available options:
customer
email
string
name
string
phone
string
description
string
billing_address
object
shipping_address
object
default_payment_method
string
tax_exempt
boolean
tax_ids
object[]
metadata
object
created
integer